# bsp_face_t Struct Reference

`#include <OgreQuake3Types.h>`

List of all members.

## Public Attributes

int | shader
int | unknown
int | type
int | vert_start
int | vert_count
int | elem_start
int | elem_count
int | lm_texture
int | lm_offset [2]
int | lm_size [2]
float | org [3]
float | bbox [6]
float | normal [3]
int | mesh_cp [2]

## Member Data Documentation

float bsp_face_t::bbox[6]

| Definition at line 197 of file OgreQuake3Types.h.

int bsp_face_t::elem_count

| Definition at line 192 of file OgreQuake3Types.h.

int bsp_face_t::elem_start

| Definition at line 191 of file OgreQuake3Types.h.

int bsp_face_t::lm_offset[2]

| Definition at line 194 of file OgreQuake3Types.h.

int bsp_face_t::lm_size[2]

| Definition at line 195 of file OgreQuake3Types.h.

int bsp_face_t::lm_texture

| Definition at line 193 of file OgreQuake3Types.h.

int bsp_face_t::mesh_cp[2]

| Definition at line 199 of file OgreQuake3Types.h.

float bsp_face_t::normal[3]

| Definition at line 198 of file OgreQuake3Types.h.

float bsp_face_t::org[3]

| Definition at line 196 of file OgreQuake3Types.h.

int bsp_face_t::shader

| Definition at line 186 of file OgreQuake3Types.h.

int bsp_face_t::type

| Definition at line 188 of file OgreQuake3Types.h.

int bsp_face_t::unknown

| Definition at line 187 of file OgreQuake3Types.h.

int bsp_face_t::vert_count

| Definition at line 190 of file OgreQuake3Types.h.

int bsp_face_t::vert_start

| Definition at line 189 of file OgreQuake3Types.h.

The documentation for this struct was generated from the following file:

- OgreQuake3Types.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:16 2005